=== modified file 'bzrlib/tests/test_http_response.py'
--- bzrlib/tests/test_http_response.py	2006-07-06 19:55:30 +0000
+++ bzrlib/tests/test_http_response.py	2006-07-06 20:22:01 +0000
@@ -279,3 +279,12 @@
         self.assertRaises(errors.InvalidRange, multi.read, 11)
         multi.seek(31)
         self.assertRaises(errors.InvalidRange, multi.read, 10)
+
+    def test_invalid(self):
+        content = StringIO('')
+        try:
+            response.HttpMultipartRangeResponse('http://foo',
+                        'multipart/byte;boundary=invalid', content)
+        except errors.InvalidHttpContentType, e:
+            self.assertContainsRe(str(e), 'http://foo')
+            self.assertContainsRe(str(e), 'multipart/byte;')

